%define prefix     /usr
%define sysconfdir /etc
%define release 3mdk     
%define name ggv
%define version 0.81

Summary: GNOME PostScript viewer
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Office
Source:		%{name}-%{version}.tar.bz2
BuildRoot: 	/var/tmp/%{name}-buildroot
URL: 		http://www.gnome.org/
DocDir: 	%{prefix}/doc

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix} --sysconfdir=%{sysconfdir}
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/*
#%{prefix}/share/*
%dir /usr/share/gnome/help/ggv/
%dir /usr/share/gnome/help/ggv/C/ 
/usr/share/gnome/help/ggv/C/* 
/usr/share/locale/uk/LC_MESSAGES/*
/usr/share/locale/ru/LC_MESSAGES/*
/usr/share/locale/pt_BR/LC_MESSAGES/*
/usr/share/locale/no/LC_MESSAGES/*
/usr/share/locale/ko/LC_MESSAGES/*
/usr/share/locale/ja/LC_MESSAGES/*
/usr/share/locale/gl/LC_MESSAGES/*
/usr/share/locale/fi/LC_MESSAGES/*
/usr/share/locale/es/LC_MESSAGES/*
/usr/share/locale/da/LC_MESSAGES/*
/usr/share/gnome/apps/Graphics/*

%config %{sysconfdir}/CORBA/servers/*

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.81-3mdk
- fix group
- fix files section

* Fri Dec 17 1999 lenny Cartier <lenny@mandrakesoft.com>
- fix uninstall messages

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake adaptations

* Fri Aug 27 1999 Karl Eichwalder <ke@suse.de>
- Added more %doc files
- Fixed the spelling of PostScript and the Source entry

* Sat Aug 21 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Actualized spec file

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics

